KD SOAP API Documentation: KDSoapEndpointReference Class Reference

| KD SOAP API Documentation 2.2

Loading...
Searching...
No Matches
Public Member Functions | List of all members
KDSoapEndpointReference Class Reference

`#include <KDSoapEndpointReference.h>`

## Public Member Functions
| KDSoapEndpointReference (const KDSoapEndpointReference &other)
| KDSoapEndpointReference (const QString &address=QString())
| ~KDSoapEndpointReference ()
QString | address () const
bool | isEmpty () const
KDSoapValueList | metadata () const
KDSoapEndpointReference & | operator= (const KDSoapEndpointReference &other)
KDSoapValueList | referenceParameters () const
void | setAddress (const QString &address)
void | setMetadata (const KDSoapValueList &metadata)
void | setReferenceParameters (const KDSoapValueList &referenceParameters)

## Detailed Description

KDSoapEndpointReference is the abstraction class to hold an Endpoint Reference properties.

See also
  : https://www.w3.org/TR/ws-addr-core/#eprinfoset

Since
  1.5

Definition at line 27 of file KDSoapEndpointReference.h.

## Constructor & Destructor Documentation

## ◆ KDSoapEndpointReference() [1/2]

KDSoapEndpointReference::KDSoapEndpointReference | ( | const QString & | address = `QString()` | ) |
| explicit

Construct a KDSoapEndpointReference object with the given `address` If no address is given, then an empty QString is taken

Definition at line 27 of file KDSoapEndpointReference.cpp.

References address().

## ◆ KDSoapEndpointReference() [2/2]

KDSoapEndpointReference::KDSoapEndpointReference | ( | const KDSoapEndpointReference & | other | ) |

Copy constructor of KDSoapEndpointReference

Definition at line 33 of file KDSoapEndpointReference.cpp.

## ◆ ~KDSoapEndpointReference()

KDSoapEndpointReference::~KDSoapEndpointReference | ( |  | ) |

Destroys the object and frees up any resource used.

Definition at line 44 of file KDSoapEndpointReference.cpp.

## Member Function Documentation

## ◆ address()

QString KDSoapEndpointReference::address | ( |  | ) | const

Returns the address

Definition at line 48 of file KDSoapEndpointReference.cpp.

Referenced by KDSoapEndpointReference(), operator<<(), and setAddress().

## ◆ isEmpty()

bool KDSoapEndpointReference::isEmpty | ( |  | ) | const

Return true when the address has not been set

Definition at line 68 of file KDSoapEndpointReference.cpp.

## ◆ metadata()

KDSoapValueList KDSoapEndpointReference::metadata | ( |  | ) | const

Return the meta data, which can be of any types so we return a KDSoapValueList

Definition at line 58 of file KDSoapEndpointReference.cpp.

Referenced by setMetadata().

## ◆ operator=()

KDSoapEndpointReference & KDSoapEndpointReference::operator= | ( | const KDSoapEndpointReference & | other | ) |

Copy the content of the KDSoapEndpointReference from `other` to the object

Definition at line 38 of file KDSoapEndpointReference.cpp.

## ◆ referenceParameters()

KDSoapValueList KDSoapEndpointReference::referenceParameters | ( |  | ) | const

Return the reference parameters, which can be of any types so we return a KDSoapValueList.

Definition at line 73 of file KDSoapEndpointReference.cpp.

Referenced by setReferenceParameters().

## ◆ setAddress()

void KDSoapEndpointReference::setAddress | ( | const QString & | address | ) |

Sets the address of the endpoint reference

Parameters

  address | address of the end point reference

Definition at line 53 of file KDSoapEndpointReference.cpp.

References address().

## ◆ setMetadata()

void KDSoapEndpointReference::setMetadata | ( | const KDSoapValueList & | metadata | ) |

Sets the meta data

Definition at line 63 of file KDSoapEndpointReference.cpp.

References metadata().

## ◆ setReferenceParameters()

void KDSoapEndpointReference::setReferenceParameters | ( | const KDSoapValueList & | referenceParameters | ) |

Sets the reference parameters

Definition at line 78 of file KDSoapEndpointReference.cpp.

References referenceParameters().

The documentation for this class was generated from the following files:

- KDSoapEndpointReference.h
- KDSoapEndpointReference.cpp

© 2010-2024 Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/
Generated on Sun Jan 7 2024 11:47:36 for KD SOAP API Documentation by doxygen 1.9.8